Summary: A DWARF optimization and duplicate removal tool
Name: dwz
Version: 0.14
Release: 3%{?dist}
License: GPLv2+ and GPLv3+
Url: https://sourceware.org/dwz/
Source: https://sourceware.org/ftp/dwz/releases/%{name}-%{version}.tar.xz
BuildRequires: gcc, gcc-c++, gdb, elfutils-libelf-devel, dejagnu, make

%description
dwz is a program that attempts to optimize DWARF debugging information
contained in ELF shared libraries and ELF executables for size, by replacing
DWARF information representation with equivalent smaller representation where
possible and by reducing the amount of duplication using techniques from DWARF
standard appendix E - creating DW_TAG_partial_unit compilation units (CUs) for
duplicated information and using DW_TAG_imported_unit to import it into each CU
that needs it.



%prep
%autosetup -n dwz



%build
%make_build CFLAGS='%{optflags}' LDFLAGS='%{build_ldflags}' \
  prefix=%{_prefix} mandir=%{_mandir} bindir=%{_bindir}



%install
rm -rf %{buildroot}
%make_install prefix=%{_prefix} mandir=%{_mandir} bindir=%{_bindir}



%check
# https://build.opensuse.org/package/view_file/openSUSE:Factory/dwz/dwz-remove-odr-struct-multifile.sh.patch?expand=1
rm -f testsuite/dwz.tests/odr-struct-multifile.sh
# Support for debuginfod is not compiled into GDB.
rm -f testsuite/dwz.tests/gdb-add-index.sh
make check



%files
%license COPYING COPYING3 COPYING.RUNTIME
%{_bindir}/dwz
%{_mandir}/man1/dwz.1*



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 27 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.14-1
- Initial Buiding.
